testver.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include "SDL.h"`
`#include "SDL_revision.h"`
Include dependency graph for testver.c:

Go to the source code of this file.

## Functions

int | main (int argc, char *argv[])

## Function Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 24 of file testver.c.

References SDL_version::major, SDL_version::minor, SDL_version::patch, SDL_GetRevision, SDL_GetRevisionNumber, SDL_GetVersion, SDL_Log, SDL_LOG_CATEGORY_APPLICATION, SDL_LOG_PRIORITY_INFO, SDL_LogSetPriority, SDL_Quit, SDL_REVISION, SDL_REVISION_NUMBER, and SDL_VERSION.

{
SDL_version compiled;
SDL_version linked;
/* Enable standard application logging */
SDL_LogSetPriority(SDL_LOG_CATEGORY_APPLICATION, SDL_LOG_PRIORITY_INFO);
#if SDL_VERSION_ATLEAST(2, 0, 0)
SDL_Log("Compiled with SDL 2.0 or newer\n");
#else
SDL_Log("Compiled with SDL older than 2.0\n");
#endif
SDL_VERSION(&compiled);
SDL_Log("Compiled version: %d.%d.%d.%d (%s)\n",
compiled.major, compiled.minor, compiled.patch,
SDL_REVISION_NUMBER, SDL_REVISION);
SDL_GetVersion(&linked);
SDL_Log("Linked version: %d.%d.%d.%d (%s)\n",
linked.major, linked.minor, linked.patch,
SDL_GetRevisionNumber(), SDL_GetRevision());
SDL_Quit();
return (0);
}
SDL_version::major
Uint8 major
Definition: SDL_version.h:53
SDL_GetRevision
#define SDL_GetRevision
Definition: SDL_dynapi_overrides.h:494
SDL_REVISION_NUMBER
#define SDL_REVISION_NUMBER
Definition: SDL_revision.h:2
SDL_VERSION
#define SDL_VERSION(x)
Macro to determine SDL version program was compiled against.
Definition: SDL_version.h:79
SDL_Log
#define SDL_Log
Definition: SDL_dynapi_overrides.h:31
SDL_GetVersion
#define SDL_GetVersion
Definition: SDL_dynapi_overrides.h:493
SDL_version
Information the version of SDL in use.
Definition: SDL_version.h:51
SDL_GetRevisionNumber
#define SDL_GetRevisionNumber
Definition: SDL_dynapi_overrides.h:495
SDL_Quit
#define SDL_Quit
Definition: SDL_dynapi_overrides.h:58
SDL_version::minor
Uint8 minor
Definition: SDL_version.h:54
SDL_LOG_PRIORITY_INFO
Definition: SDL_log.h:106
SDL_LogSetPriority
#define SDL_LogSetPriority
Definition: SDL_dynapi_overrides.h:236
SDL_REVISION
#define SDL_REVISION
Definition: SDL_revision.h:1
SDL_LOG_CATEGORY_APPLICATION
Definition: SDL_log.h:66
SDL_version::patch
Uint8 patch
Definition: SDL_version.h:55